<?php
/**
 * Qii 名称空间配置
 * @author zjh
 * @version 1.3
 */
return array(
    //设置是否使用名称空间
    'setUseNamespace' => array(
        array('Qii\\', true),
        array('Qii\Action', true),
        array('Qii\Autoloader', true),
        array('Qii\Bootstrap', true),
        array('Qii\Config', true),
        array('Qii\Consts', true),
        array('Qii\Controller', true),
        array('Qii\Exceptions', true),
        array('Qii\Language', true),
        array('Qii\Library', true),
        array('Qii\Logger', true),
        array('Qii\Plugin', true),
        array('Qii\Request', false),
        array('Qii\Router', true),
        array('Qii\View', true),
        array('WhichBrowser', true),
        array('BigPipe', true),
        array('Smarty\\', false),
        array('Smarty\\Internal', false),
    ),
    //设置指定名称空间的文件路径，如按照namespace的不用指定
    'addNamespace' => array(
        array('Qii\\', Qii_DIR . DS),
        array('Qii\Action', Qii_DIR . DS . 'Action'),
        array('Qii\Autoloader', Qii_DIR . DS . 'Autoloader'),
        array('Qii\Controller', Qii_DIR . DS . 'Controller'),
        array('Qii\Bootstrap', Qii_DIR . DS . 'Bootstrap'),
        array('Qii\Config', Qii_DIR . DS . 'Config'),
        array('Qii\Consts', Qii_DIR . DS . 'Consts'),
        array('Qii\Exceptions', Qii_DIR . DS . 'Exceptions'),
        array('Qii\Language', Qii_DIR . DS . 'Language'),
        array('Qii\Library', Qii_DIR . DS . 'Library'),
        array('Qii\Logger', Qii_DIR . DS . 'Logger'),
        array('Qii\Plugin', Qii_DIR . DS . 'Plugin'),
        array('Qii\Request', Qii_DIR . DS . 'Request'),
        array('Qii\Response', Qii_DIR . DS . 'Response'),
        array('Qii\Router', Qii_DIR . DS . 'Router'),
        array('Qii\View', Qii_DIR . DS . 'View'),
        array('Smarty', Qii_DIR . DS . 'View' . DS . 'smarty'),
        array('Smarty', Qii_DIR . DS . 'View' . DS . 'smarty' . DS . 'sysplugins'),
        array('WhichBrowser', Qii_DIR . DS . 'Library'. DS . 'Third'. DS . 'WhichBrowser'),
        array('BigPipe', Qii_DIR . DS . 'Library'. DS .'BigPipe'. DS .'BigPipe')
    )
);
